# $Revision:$, $Date:$
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Rose
%define	pnam	HTMLx-Form-Field-Autocomplete
Summary:	Rose::HTMLx::Form::Field::Autocomplete - Ajax autocompletion for text fields
#Summary(pl):	
Name:		perl-Rose-HTMLx-Form-Field-Autocomplete
Version:	0.02
Release:	0.1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/K/KA/KARMAN/Rose-HTMLx-Form-Field-Autocomplete-0.02.tar.gz
# Source0-md5:	153a551d0eb65701ec29651d25ba8100
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Rose::HTML::Form::Field::Text) >= 0.01
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This subclass of Rose::HTML::Form::Field::Text is intended to make it easier
to integrate Ajax autocompletion into your web applications. You define
a URL where your web application can find suggested values for the field,
and optionally, a limit on the number of suggestions returned by the server.

This subclass is expected to be used with 
Catalyst::Controller::Rose::Autocomplete but that is not required.



# %description -l pl
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Rose/HTMLx/Form/Field/*.pm
#%{perl_vendorlib}/Rose/HTMLx/Form/Field/Autocomplete
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log:$
